#ifndef KRTDB_HEADER_HPP_INCLUDED
#define KRTDB_HEADER_HPP_INCLUDED


#include"krtdb_valuekind.hpp"
#include<string>


namespace krtdb{


using ColumnNumber = uint32_t;

struct
Header
{
  std::string  name_;

  ValueKind  valuekind_;

  Header(std::string&&  name, ValueKind  valuekind=ValueKind::uvlint_);
  Header(const Header&   rhs);
  Header(      Header&&  rhs);

};


}




#endif




