#include"krtdb_valuekind.hpp"




namespace krtdb{




const char*
get_value_kind_string(ValueKind  kind)
{
  const char*  s = "unknown";

    switch(kind)
    {
      case(ValueKind::bool_   ): s =     "bool";break;
      case(ValueKind::int8_   ): s =     "int8";break;
      case(ValueKind::uint8_  ): s =    "uint8";break;
      case(ValueKind::int16_  ): s =     "int16";break;
      case(ValueKind::uint16_ ): s =    "uint16";break;
      case(ValueKind::int32_  ): s =     "int32";break;
      case(ValueKind::uint32_ ): s =    "uint32";break;
      case(ValueKind::int64_  ): s =     "int64";break;
      case(ValueKind::uint64_ ): s =    "uint64";break;
      case(ValueKind::vlint_  ): s =     "vlint";break;
      case(ValueKind::uvlint_ ): s =    "uvlint";break;
      case(ValueKind::float32_): s =    "float32";break;
      case(ValueKind::float64_): s =    "float64";break;
      case(ValueKind::vlfloat_): s =    "vlfloat";break;
      case(ValueKind::string  ): s =  "string";break;
      case(ValueKind::binary  ): s =  "binary";break;
      case(ValueKind::table   ): s =   "table";break;
      case(ValueKind::record  ): s =  "record";break;
    }


  return s;
}




}




