#ifndef KRTDB_TABLEDEF_HPP_INCLUDED
#define KRTDB_TABLEDEF_HPP_INCLUDED


#include"krtdb_header.hpp"
#include<vector>


namespace krtdb{


struct
TableDef
{
  std::vector<Header>  headers_;

  TableDef(std::initializer_list<Header>  ls={});
  TableDef(const TableDef&   rhs);
  TableDef(      TableDef&&  rhs);


  void  clear();

  int  find(const std::string&  name) const;

  TableDef  operator+(const TableDef&  rhs) const;

  void   read(Stream&  s)      ;
  void  write(Stream&  s) const;

  void  print() const;

};


}




#endif




